Subject: Re: [PATCH 0/3 v4] macvtap driver

From: Arnd Bergmann <[email-masked]>
Date: Wed, 10 Feb 2010 15:52:03 +0100

On Tuesday 09 February 2010, Ed Swierk wrote:
> I've encountered some more problems, with various users of
> macvtap_file_get_queue() either calling or neglecting to call
> macvtap_file_put_queue() in error cases.
> 
> I modified your patch so that when macvtap_file_get_queue() returns 0,
> it also calls rcu_read_unlock_bh(), and modified the users
> appropriately.
> 
> This patch also incorporates my preemption fix for macvlan_count_rx().
> 
> Signed-off-by: Ed Swierk <[email-masked]>

Good idea, I'll incorporate it into my next fix, need to think
about it some more to make sure I catch all the corner cases
of the lifetime rules.

Thanks,

	Arnd